KDateWidget Class Reference

`#include <kdatewidget.h>`

Inherits QWidget.

## Signals

void | changed (QDate)

## Public Member Functions

| KDateWidget (QWidget *parent=0, const char *name=0)
| KDateWidget (QDate date, QWidget *parent=0, const char *name=0)
virtual | ~KDateWidget ()
QDate | date () const
void | setDate (QDate date)

## Protected Slots

void | slotDateChanged ()

## Protected Member Functions

void | init ()
void | init (const QDate &)
virtual void | virtual_hook (int id, void *data)

## Properties

QDate | date

## Detailed Description

A pushbutton to display or allow user selection of a date.

This widget can be used to display or allow user selection of a date.

See also
  KDatePicker

Version

Id
  kdatewidget.h 465272 2005-09-29 09:47:40Z mueller

Definition at line 36 of file kdatewidget.h.

## Constructor & Destructor Documentation

KDateWidget::KDateWidget | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructs a date selection widget.

Definition at line 54 of file kdatewidget.cpp.

KDateWidget::KDateWidget | ( | QDate | date,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructs a date selection widget with the initial date set to `date`.

Definition at line 62 of file kdatewidget.cpp.

KDateWidget::~KDateWidget | ( |  | ) |

virtual

Destructs the date selection widget.

Definition at line 120 of file kdatewidget.cpp.

## Member Function Documentation

void KDateWidget::changed | ( | QDate |  | ) |

signal

Emitted whenever the date of the widget is changed, either with setDate() or via user selection.

QDate KDateWidget::date | ( |  | ) | const

Returns the currently selected date.

void KDateWidget::setDate | ( | QDate | date | ) |

Changes the selected date to `date`.

Definition at line 126 of file kdatewidget.cpp.

The documentation for this class was generated from the following files:

- kdatewidget.h
- kdatewidget.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys